
From: Nick Piggin <piggin@cyberone.com.au>

Here is a small fix that prevents i386 SMT + NUMA from crashing.



---

 arch/i386/kernel/smpboot.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN arch/i386/kernel/smpboot.c~sched-smt-numa-fix arch/i386/kernel/smpboot.c
--- 25/arch/i386/kernel/smpboot.c~sched-smt-numa-fix	2004-02-12 23:20:02.000000000 -0800
+++ 25-akpm/arch/i386/kernel/smpboot.c	2004-02-12 23:20:02.000000000 -0800
@@ -1184,6 +1184,9 @@ __init void arch_init_sched_domains(void
 		cpumask_t nodemask;
 		cpus_and(nodemask, node_to_cpumask(i), cpu_online_map);
 
+		if (cpus_empty(nodemask))
+			continue;
+
 		first_cpu = last_cpu = NULL;
 		/* Set up physical groups */
 		for_each_cpu_mask(j, nodemask) {

_
